Instalar Wine desde el código fuente en Ubuntu 14.04 (corregido)

winehq-logo
Para aquellas personas que necesitan instalar Adobe Reader (no todos los pdf pueden leerse con las alternativas la solución más fácil es instalar la versión Windows usando Wine. El problema es que la última versión de Wine en Ubuntu 14.04 presenta algunos problemas de dependencia con uno de los paquetes utilizados por el driver privativo nvidia. La solución es compilar el código fuente.

El primer paso es instalar las dependencias
sudo apt-get install flex bison qt4-qmake
Descargamos el archivo desde aquí
Descomprimimos en nuestra carpeta personal y hacemos
cd wine-1.7.27

Para 32 bits
./configure

make

sudo make install

Comprobamos la correcta instalación
./wine –version

Para 64 bits
/configure –enable-win64

make

sudo make install

Comprobamos la instalacion
./wine64 –version

Para iniciar el programa escribimos en la terminal

wine nombre del programa
o
wine64 nombre del programa

Anuncios

11 opiniones en “Instalar Wine desde el código fuente en Ubuntu 14.04 (corregido)”

  1. Hola, Diego.
    Te comento que hay otra opción, que consiste en agregar el repositorio del grupo Ubuntu-Wine (https://launchpad.net/~ubuntu-wine/+archive/ubuntu/ppa) con un solo comando de consola:

    sudo add-apt-repository ppa:ubuntu-wine/ppa

    Este grupo mantiene versiones actuales de Wine, wine-gecko, wine-mono y winetricks para las diferentes versiones de Ubuntu, por lo que un usuario novato se evitaría los dolores de cabeza de compilar (aunque, coincido contigo, es buena cosa saber hacerlo).

    Saludos cordiales,
    Juan

  2. me aparece esto Los siguientes paquetes tienen dependencias incumplidas:
    wine : Depende: wine1.6 pero no va a instalarse o
    wine1.8 pero no va a instalarse
    E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.

Deja un comentario

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.